org.apache.flume.node

## Class AbstractZooKeeperConfigurationProvider

- java.lang.Object
- - org.apache.flume.node.AbstractConfigurationProvider
  - - org.apache.flume.node.AbstractZooKeeperConfigurationProvider

- All Implemented Interfaces:
    ConfigurationProvider
  Direct Known Subclasses:
    PollingZooKeeperConfigurationProvider, StaticZooKeeperConfigurationProvider

      public abstract class AbstractZooKeeperConfigurationProvider
      extends AbstractConfigurationProvider

  ZooKeeper based configuration implementation provider. The Agent configuration can be uploaded in ZooKeeper under a base name, which defaults to /flume Currently the agent configuration is stored under the agent name node in ZooKeeper

         /flume
             /a1 [agent config file]
             /a2 [agent config file]
             /a3 [agent config file]

  Configuration format is same as PropertiesFileConfigurationProvider Configuration properties agentName - Name of Agent for which configuration needs to be pulled zkConnString - Connection string to ZooKeeper Ensemble (host:port,host1:port1) basePath - Base Path where agent configuration needs to be stored. Defaults to /flume

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `basePath`
    `protected String` | `zkConnString`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractZooKeeperConfigurationProvider(String agentName, String zkConnString, String basePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected FlumeConfiguration` | `configFromBytes(byte[] configData)`
    `protected org.apache.curator.framework.CuratorFramework` | `createClient()`

    - ### Methods inherited from class org.apache.flume.node.AbstractConfigurationProvider

      `getAgentName, getConfiguration, getFlumeConfiguration, toMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### basePath

          protected final String basePath

    - #### zkConnString

          protected final String zkConnString

  - ### Constructor Detail

    - #### AbstractZooKeeperConfigurationProvider

          protected AbstractZooKeeperConfigurationProvider(String agentName,
                                                String zkConnString,
                                                String basePath)

  - ### Method Detail

    - #### createClient

          protected org.apache.curator.framework.CuratorFramework createClient()

    - #### configFromBytes

          protected FlumeConfiguration configFromBytes(byte[] configData)
                                                throws IOException

      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.